%define ver     20120227
Name:           dbus-tools
Version:        0
Release:        0.1.%{ver}svn%{?dist}
Summary:        DBus developer tools

License:        ISC
URL:            http://code.google.com/p/dbus-tools/
# The source for this package was pulled from upstream's vcs.  Use the
# following commands to generate the tarball:
#  svn export -r 8  http://dbus-tools.googlecode.com/svn/trunk/ dbus-tools-20120227
#  tar -cJvf dbus-tools-20120227.tar.xz dbus-tools-20120227
Source0:        %{name}-%{ver}.tar.xz

BuildArch:      noarch
BuildRequires:  python2-devel
Requires:       python-lxml

%description
Set of tools to help developers playing with DBus. Allows to test DBus
interfaces of project.

%package zsh
Requires: %{name} = %{version}-%{release}, zsh
Summary: DBus tools zsh completion

%description zsh
Set of tools to help developers playing with DBus. Allows to test DBus
interfaces of project.

This package provides zsh completion for DBus tools.

%prep
%setup -q -n %{name}-%{ver}

%build
sed -i 's/\<dbus\>/\0-cli/g' _dbus

%install
rm -rf $RPM_BUILD_ROOT
install -d ${RPM_BUILD_ROOT}%{_bindir}
install -m 0755 dbus ${RPM_BUILD_ROOT}%{_bindir}/dbus-cli
install -d ${RPM_BUILD_ROOT}%{_datadir}/zsh/site-functions
install -m 0644 _dbus ${RPM_BUILD_ROOT}%{_datadir}/zsh/site-functions/_dbus-cli

%files
%{_bindir}/dbus-cli
%doc README COPYING

%files zsh
%{_datadir}/zsh/site-functions/_dbus-cli

%changelog
 * Mon Mar 05 2012 Michal Minar <miminar at redhat.com> - 0-0.1.20120227svn
 - added dist tag to Release
 * Wed Feb 29 2012 Michal Minar <miminar at redhat.com> - 0-0.1.20120227svn
 - Initial packages.

